﻿@using OfficeOpenXml.FormulaParsing.Excel.Functions.Math
@model StarterProjectV2.ViewModels.OwnersInfoView
@{
    ViewBag.Title = "OwnersInfo";
}
@section PAGETITLE{
Owner's Info
}

<style>
    @@media only screen and (min-width: 800px) {
        .card-body {
            padding: 60px;
            padding-left: 10rem
        }
    }
</style>

<div class="row justify-content-center ">

    <div class="card col-12 mt-4">
        <div class="card-body">
            <h1 class="text-center pb-4" style="color:cadetblue; margin-bottom:10px">Owner's Information Form</h1>
            <p class="text-muted"></p>

            @using (Html.BeginForm("OwnersInfoAddorEdit", "OwnersInfo", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))

            {
                @*<div class="form-group row mb-5 mt-5">
                    <label class="col-sm-3 col-lg-5 col-md-3 mr-3  col-form-label" style="text-align: left"></label>
                    <div class="col-sm-3 col-lg-6 col-md-3" align="right">
                        <div class="row">
                            @{
                                var time = "?" + DateTime.Now.ToString("h:mm:ss tt");
                            }
                            @{
                                if (Model.IsProfilePictureExists == true)
                                {
                                    <img id="profile-pic" src="@Url.Content(Model.PicturePath + time)" alt="HTML5 Icon" width="128" height="128">
                                }
                                else

                                {
                                    @*<img id="profile-pic" src="E:\Imran\repos\hams-ter\OwnerSite\Content\ownerprofilepictures\base.jpg" alt="HTML5 Icon" width="128" height="128">*@

                @*}
                            </div>
                            <div class="row"><input id="file" type="file" style="color: transparent" /></div>
                        </div>
                    </div>*@
                <div class="form-group row mb-3">
                    @Html.LabelFor(m => m.Name, new { @class = "col-md-2  col-form-label" })
                    <div class="col-md-3 ">
                        @Html.TextBoxFor(m => m.Name, new { @class = "form-control", type = "text" })
                    </div>
                    @Html.LabelFor(m => m.DateOfBirth, new { @class = "col-md-2 col-form-label" })
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.DateOfBirth,
                            new { @class = "form-control", type = "date" })
                    </div>
                    @*<label class="col-lg-2 col-md-2 col-sm-2 col-form-label" for="text-input">Date Of Birth</label>

                    <div class="col-lg-4 col-md-4 col-sm-4">
                        <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                            @Html.DisplayFor(m => m.DateOfBirth)
                        </p>
                  
                    </div>*@

                </div>


                <div class="form-group row mb-3">
                    @Html.LabelFor(m => m.FatherName, new { @class = "col-md-2 col-form-label" })
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.FatherName, new { @class = "form-control", type = "text" })
                    </div>
                    @Html.LabelFor(m => m.MotherName, new { @class = "col-md-2 col-form-label" })
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.MotherName, new { @class = "form-control", type = "text" })
                    </div>
                </div>

                <div class="form-group row mb-3">
                    @Html.LabelFor(m => m.SpouseName, new { @class = "col-md-2 col-form-label" })
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.SpouseName, new { @class = "form-control", type = "text" })
                    </div>
                    @Html.LabelFor(m => m.MarriageDate, new { @class = "col-md-2 col-form-label" })

                    @*@Html.TextBoxFor(m => m.MarriageDate, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Marriage Date", type = "text" })*@
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.MarriageDate,
                            new { @class = "form-control", type = "date" })
                    </div>
                </div>


                <div class="form-group row mb-3">
                    @Html.LabelFor(m => m.PresentAddress, new { @class = "col-md-2 col-form-label" })
                    <div class="col-md-3">
                        @Html.TextAreaFor(m => m.PresentAddress, new { @class = "form-control", type = "text" })
                    </div>
                    @Html.LabelFor(m => m.PermanantAddress, new { @class = "col-md-2 col-form-label" })
                    <div class="col-md-3">
                        @Html.TextAreaFor(m => m.PermanantAddress, new { @class = "form-control", type = "text" })
                    </div>
                </div>

                <div class="form-group row mb-3">
                    @Html.LabelFor(m => m.NID, new { @class = "col-md-2 col-form-label" })
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.NID, new { @class = "form-control", type = "text" })
                    </div>
                    @Html.LabelFor(m => m.TIN, new { @class = "col-md-2 col-form-label" })
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.TIN, new { @class = "form-control", type = "text" })
                    </div>
                </div>

                <div class="form-group row mb-3">
                    <label class="col-md-2 col-form-label" for="text-input">Mobile</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.Mobile, new { @class = "form-control", id = "MobilePhone", name = "text-input", type = "tel" })

                        <a id="charNum" href="#" data-toggle="modal" data-target="#exampleModal" onclick="f()" style="display: none"></a>
                        @* *@
                        @*     <a id="charNum" href="#" data-toggle="modal" data-target="#exampleModal"></a> *@
                        @* } *@
                    </div>
                    <label class="col-md-2 col-form-label" for="text-input">Email</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.Email, new { @class = "form-control", name = "text-input", type = "text" })
                        @* <span id="message"></span> *@
                    </div>
                </div>
                @*<div class="form-group row mb-3">
                    <label class="col-sm-2 col-lg-2 col-md-2 col-form-label mr-3">Profile Picture</label>
                    <div class="col-lg-3 col-md-4 col-sm-4">
                        @Html.TextBoxFor(m => m.OwnerProfilePicture, new { @class = "custom-file-input", id = "upload-file-picture", name = "file", type = "file" })*@
                @* <input type="file" class="custom-file-input" id="upload-file-picture" name="file" /> *@
                @*<label class="custom-file-label" for="upload-file-picture" id="upload-file-picture-label">Choose file</label>
                        </div>
                    </div>*@

                <div class="form-group row mb-3">
                    <label class="col-md-2 col-form-label" for="text-input">No of Slots</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.NoofSlots, new { @class = "form-control", type = "text" })
                    </div>
                    <label class="col-md-2 col-form-label" for="text-input">Additional Id</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.AdditionalId, new { @class = "form-control", type = "text" })
                    </div>
                </div>
                <div class="form-group row mb-3">
                    <label class="col-md-2 col-form-label" for="text-input">Account No</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.AccountNo, new { @class = "form-control", type = "text" })
                    </div>
                    <label class="col-md-2 col-form-label" for="text-input">Bank Name</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.BankName, new { @class = "form-control", type = "text" })
                    </div>
                </div>
                <div class="form-group row mb-3">
                    <label class="col-md-2 col-form-label" for="text-input">Branch Name</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.BranchName, new { @class = "form-control", type = "text" })
                    </div>
                    <label class="col-md-2 col-form-label" for="text-input">Bank Routing No</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.RoutingNo, new { @class = "form-control", type = "text" })
                    </div>
          
                </div>
                <div class="form-group row mb-3">
                    <label class="col-md-2 col-form-label" for="text-input">Additional Information</label>
                    <div class="col-md-3">
                        @Html.TextAreaFor(m => m.AdditionalInformation, new { @class = "form-control", type = "text" })
                    </div>
                    <label class="col-md-2 col-form-label" for="text-input">Admin Comment</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.AdminComment, new { @class = "form-control", name = "text-input", type = "text" })
                    </div>
                </div>
                <div class="form-group row mb-3">
                    <label class="col-md-2 col-form-label" for="text-input">Slot Id</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.SlotId, new { @class = "form-control", name = "text-input", type = "text" })
                    </div>
                    <label class="col-md-2 col-form-label" for="text-input">Smart Id</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.OwnerSmartId, new { @class = "form-control", name = "text-input", type = "text" })
                    </div>
                </div>
                <div class="form-group row mb-3">
                    <label class="col-md-2 col-form-label" for="text-input">Approve Owner's Edit? </label>
                    <div class="col-md-3">
                        @Html.DropDownListFor(m => m.IsEditApproved, new SelectList(Model.IsEditApprovedList), "-----", new { @class = "form-control", id = "IsEditApproved" })
                    </div>
                    @Html.LabelFor(m => m.Remarks, new { @class = "col-md-2  col-form-label" })
                    <div class="col-md-3">
                        @Html.TextAreaFor(m => m.Remarks, new { @class = "form-control", type = "text" })
                    </div>
                </div>
                <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">SMS OTP Code</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                <label>Please Type the Code Sent to you via SMS</label>
                                <input type="text" class="form-control" placeholder="123456" aria-label="Username" aria-describedby="basic-addon1" id="SMS-Code">
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                <button type="button" class="btn btn-yellow" onclick="f()"> Resend The Code</button>
                                <button type="button" class="btn btn-primary" onclick="f1()">Save</button>
                            </div>
                        </div>
                    </div>
                </div>

                @Html.HiddenFor(m => m.OwenerId, new { @id = "OwnerId" })

                @Html.HiddenFor(m => m.OwnersLastEditTime, new { @id = "OwnersLastEditTime" })


                @Html.HiddenFor(m => m.isEmailValidated, new { @id = "OwnerEmailValidation" })

                @Html.HiddenFor(m => m.isSMSValidated, new { @id = "OwnerSMSValidation" })

                <hr />

                <div class="row d-flex justify-content-end">
                    <div>
                        <button type="submit" class="btn btn-primary m-1" onclick="full_submit()">Submit</button>
                    </div>
                    <div>
                        <button type="button" class="btn btn-danger m-1">Reset</button>
                    </div>
                    <div>
                        @*<button type="button" class="btn btn-success m-1" onclick="location.href = '@Url.Action("AdditionalInformationEdit", "OwnersInfo", new {ownerId = Model.OwenerId})'">Edit Additional Information</button>*@
                        <button type="button" class="btn btn-success m-1" onclick="location.href = '@Url.Action("ProjectCreate", "AdditionalInformation", new {ownerId = Model.OwenerId})'">Add/Edit Additional Information</button>
                    </div>
                </div>
            }
        </div>
    </div>
</div>


<script>
    //window.addEventListener('load', function () {
    //    document.querySelector('input[type="file"]').addEventListener('change', function () {
    //        if (this.files && this.files[0]) {
    //            var img = $('#profile-pic')[0];  // $('img')[0]
    //            img.src = URL.createObjectURL(this.files[0]); // set src to file url
    //            img.onload = imageIsLoaded; // optional onload event listener
    //        }
    //    });
    //});

</script>
<script type="text/javascript">
        function function_edit_picture() {
            var UserName = '@Model.OwenerId';
            //alert(UserName);
            //document.getElementById('uploader').onsubmit = function() {
            var formdata = new FormData(); //FormData object
            var fileInput = $('#file')[0];
            //Iterating through each files selected in fileInput
            //alert(fileInput.files[0].name);

            for (i = 0; i < fileInput.files.length; i++) {
                //Appending each file to FormData object
                formdata.append(fileInput.files[i].name, fileInput.files[i], UserName+".jpg");
            }
            //Creating an XMLHttpRequest and sending
            var xhr = new XMLHttpRequest();
            xhr.open('POST', '../OwnersInfo/Upload_Edit/');
            xhr.send(formdata);
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    //alert(xhr.responseText);
                }
            }
            return false;
        }
</script>
<script type="text/javascript">
    function full_submit() {
        var fileInput = $('#file')[0];
        if (fileInput.files.length != 0) {
            function_edit_picture();
        }

    }
</script>




<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });


    $(document).ready(function() {
        $("#newItem").remove();

        $("#editItem").click(function() {
            document.location = '@Url.Action("AccommodationManagement", "Accommodation")';
        });
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function(){
            window.print();
        });

        $('#reloadItem').click(function() {
            location.reload();
        });

        $("#reportItem").click(function() {
//            document.location = '@Url.Action("ModuleReport", "Module")';
        });

        $("#dashboardItem").click(function() {

        });
    });
</script>



<script>

    $('#upload-file-picture').change(function (e) {

        var filename = $('#upload-file-picture')[0].files[0].name;
        var filetype = $("#upload-file-picture")[0].files[0].type;
        var filesize = $("#upload-file-picture")[0].files[0].size;
        $("#upload-file-picture-label").text(filename);
    });
</script>
@*<script>
        function PictureUpload() {
            var ownerId = '@Model.OwenerId';
            alert(ownerId);
            //document.getElementById('uploader').onsubmit = function() {
            var formdata = new FormData(); //FormData object
            var fileInput = document.getElementById('upload-file-picture');
            //Iterating through each files selected in fileInput


            for (i = 0; i < fileInput.files.length; i++) {
                //Appending each file to FormData object
                formdata.append(fileInput.files[i].name,fileInput.files[i], "OPic_"+ownerId+".jpg");
            }
            //Creating an XMLHttpRequest and sending
            var xhr = new XMLHttpRequest();
            xhr.open('POST', '../OwnersInfo/UploadOwnerPicture/');
            xhr.send(formdata);
            xhr.onreadystatechange = function () {
                if (xhr.readyState == 4 && xhr.status == 200) {
                    alert(xhr.responseText);
                }
            }
            return false;
        }

    </script>*@
@*<script>
        function retrieve() {
            var ownerId = '@Model.OwenerId';
            var fileInputSpousePicture = document.getElementById('upload-file-picture');

            var PicturePath = 'E:/Imran/repos/hams-ter/StarterProjectV2/App_Data/uploads/' +
                "OWPic_" + ownerId + ".jpg";
            alert(SpousePicturePath);

            var myModel = {

                SpouseMobile: $('#spouseMobile').val(),
                SpouseNIDPath: SpouseNIDPicturePath,
                SpousePicture: SpousePicturePath,
                OwnerId: ownerId,
                ChildNameArray: ChildName,
                ChildDOBArray: ChildDOB,
                ChildPictureArray: ChildPicture
            };
            alert("balsal1");
            $.ajax({
                context: this,
                type: 'post',
                url: '../OwnersInfo/gettingOwnerFamilyInfo/',
                data: myModel,
                success: function (result) {
                    alert(result);
                },
                error: function () {
                    //error();
                    alert("i fucafaf");
                }
            });
        }
    </script>*@



<script>
    function f() {
        var myModel = {
            OwnerId: value,
        };
        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/gettingOwnerIdForDatabasePoputlation/',
            data: myModel,
            success: function (result) {
                //alert(myModel.PartialUserDetailsViewModels);
                //window.location = '../Home/About';
            },
            error: function () {
                //error();
            }
        });
    }
</script>

<script>
    function f1() {
        var myModel = {
            OwnerId: value,
            InputSMSCode: $('#SMS-Code').val(),
        };
        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/gettingOwnerIdandCodeForDatabaseCheckingSMS/',
            data: myModel,
            success: function (result) {
                if (result == 'Yes') {
                    $('#MobilePhone').removeClass('border-warning');
                    $('#MobilePhone').addClass('border-success');
                    $('#charNum').text("");
                    $('#exampleModal').modal('hide');
                }
                else if (result == 'No') {
                    $('#exampleModal').modal('hide');
                    toastr.error('Wrong OTP Code. Please, try again.', 'Error!!!!', {
                        closeButton: true,
                        progressBar: true,
                    });

                    //alert('Sorry. :(');
                }
                //alert(myModel.PartialUserDetailsViewModels);
                //window.location = '../Home/About';
            },
            error: function () {
                //error();
            }
        });
    }
</script>

<script>
    var value = $('#OwnerId').val();
    var isSMSValidate = $('#OwnerSMSValidation').val();
    //alert(value);
    //checking whether edit/create page
    //if (value) {
    //    if (isSMSValidate == 'True') {
    //        //alert(isSMSValidate);
    //        $('#MobilePhone').addClass('border-success');
    //        $('#charNum').text("");
    //        $('#exampleModal').modal('hide');
    //    } else {
    //        $('#MobilePhone').addClass('border-warning');
    //        $('#charNum').text("Please click to validate your mobile number.");
    //    }
    //}
</script>


<script>
    var clicked = false;
    $("#Select").on("click", function () {
        $(".form-check-input").prop("checked", !clicked);
        clicked = !clicked;
    });


    $(document).ready(function() {
        $("#newItem").remove();

        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function(){
            window.print();
        });

        $('#reloadItem').click(function() {
            location.reload();
        });

        $("#reportItem").click(function() {
//            document.location = '@Url.Action("ModuleReport", "Module")';
        });

        $("#dashboardItem").click(function() {

        });
    });
</script>
